> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unstructured.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Channel

> Create notification channel.

Creates a new delivery channel for receiving platform event notifications.
URL must use HTTPS for webhook type. At least one event type must be specified.



## OpenAPI

````yaml https://platform.unstructuredapp.io/openapi.json post /api/v1/notifications/channels
openapi: 3.1.0
info:
  title: Platform API
  version: 3.1.0
servers:
  - url: https://platform.unstructuredapp.io/
    description: Unstructured Platform API
    x-speakeasy-server-id: platform-api
security: []
paths:
  /api/v1/notifications/channels:
    post:
      tags:
        - channels
      summary: Create Channel
      description: >-
        Create notification channel.


        Creates a new delivery channel for receiving platform event
        notifications.

        URL must use HTTPS for webhook type. At least one event type must be
        specified.
      operationId: create_channel_api_v1_notifications_channels_post
      parameters:
        - name: unstructured-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Unstructured-Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - $ref: '#/components/schemas/CreateWebhookChannelRequest'
                - $ref: '#/components/schemas/CreateEmailChannelRequest'
              discriminator:
                propertyName: channel_type
                mapping:
                  webhook:
                    $ref: '#/components/schemas/CreateWebhookChannelRequest'
                  email:
                    $ref: '#/components/schemas/CreateEmailChannelRequest'
              title: Data
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/WebhookChannelResponse'
                  - $ref: '#/components/schemas/EmailChannelResponse'
                discriminator:
                  propertyName: channel_type
                  mapping:
                    webhook:
                      $ref: '#/components/schemas/WebhookChannelResponse'
                    email:
                      $ref: '#/components/schemas/EmailChannelResponse'
                title: Response Create Channel Api V1 Notifications Channels Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateWebhookChannelRequest:
      properties:
        channel_type:
          type: string
          const: webhook
          title: Channel Type
          default: webhook
        description:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Description
          description: Channel description
        event_types:
          items:
            $ref: '#/components/schemas/NotificationEventType'
          type: array
          minItems: 1
          title: Event Types
          description: Event types to subscribe to
        enabled:
          type: boolean
          title: Enabled
          description: Enable/disable channel
          default: true
        url:
          type: string
          title: Url
          description: Webhook endpoint URL (HTTPS required)
        secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Secret
          description: Consumer-supplied signing secret (24-75 bytes)
      type: object
      required:
        - event_types
        - url
      title: CreateWebhookChannelRequest
      description: Request to create a webhook notification channel.
    CreateEmailChannelRequest:
      properties:
        channel_type:
          type: string
          const: email
          title: Channel Type
          default: email
        description:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Description
          description: Channel description
        event_types:
          items:
            $ref: '#/components/schemas/NotificationEventType'
          type: array
          minItems: 1
          title: Event Types
          description: Event types to subscribe to
        enabled:
          type: boolean
          title: Enabled
          description: Enable/disable channel
          default: true
        email_config:
          $ref: '#/components/schemas/EmailChannelConfig'
          description: Email channel configuration
      type: object
      required:
        - event_types
        - email_config
      title: CreateEmailChannelRequest
      description: Request to create an email notification channel.
    WebhookChannelResponse:
      properties:
        channel_type:
          type: string
          const: webhook
          title: Channel Type
          default: webhook
        id:
          type: string
          title: Id
          description: Channel ID
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Channel description
        event_types:
          items:
            type: string
          type: array
          title: Event Types
          description: Subscribed event types
        enabled:
          type: boolean
          title: Enabled
          description: Channel enabled status
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Creation timestamp
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Last update timestamp
        url:
          type: string
          title: Url
          description: Webhook endpoint URL
      type: object
      required:
        - id
        - event_types
        - enabled
        - created_at
        - updated_at
        - url
      title: WebhookChannelResponse
      description: Response for webhook notification channel.
    EmailChannelResponse:
      properties:
        channel_type:
          type: string
          const: email
          title: Channel Type
          default: email
        id:
          type: string
          title: Id
          description: Channel ID
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Channel description
        event_types:
          items:
            type: string
          type: array
          title: Event Types
          description: Subscribed event types
        enabled:
          type: boolean
          title: Enabled
          description: Channel enabled status
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Creation timestamp
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Last update timestamp
        email_config:
          $ref: '#/components/schemas/EmailChannelConfigResponse'
          description: Email channel configuration
      type: object
      required:
        - id
        - event_types
        - enabled
        - created_at
        - updated_at
        - email_config
      title: EmailChannelResponse
      description: Response for email notification channel.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NotificationEventType:
      type: string
      enum:
        - job.scheduled
        - job.in_progress
        - job.completed
        - job.stopped
        - job.failed
      title: NotificationEventType
      description: Webhook event types derived from internal JOB_STATUSCHANGED_V1 statuses.
    EmailChannelConfig:
      properties:
        cc:
          anyOf:
            - items:
                type: string
                format: email
              type: array
            - type: 'null'
          title: Cc
          description: CC email addresses (if provider supports)
        reply_to:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          title: Reply To
          description: Reply-to email address
        recipient_email:
          type: string
          format: email
          title: Recipient Email
          description: Primary recipient email address
      type: object
      required:
        - recipient_email
      title: EmailChannelConfig
      description: User-configurable email settings.
    EmailChannelConfigResponse:
      properties:
        cc:
          anyOf:
            - items:
                type: string
                format: email
              type: array
            - type: 'null'
          title: Cc
          description: CC email addresses (if provider supports)
        reply_to:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          title: Reply To
          description: Reply-to email address
        recipient_email:
          type: string
          format: email
          title: Recipient Email
          description: Primary recipient email address
        provider:
          type: string
          title: Provider
          description: Email provider (read-only, from platform config)
      type: object
      required:
        - recipient_email
        - provider
      title: EmailChannelConfigResponse
      description: Email config in response (no sensitive data).
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````